###########################################################
#
#    Oroscopo 1.2 tcl for eggdrop (15/09/2004)
#    by lnx85 at #lnxlabs on AzzurraNet (irc.azzurra.org)
#    E-mail: lnx85@lnxlabs.it
#
#    per attivare lo script  necessario impostare il flag +oroscopo
#    al canale (.chanset #chan +oroscopo)
#
###########################################################

###########################################################
#
# V. 1.6 : FIX di compatibilita' con il sito
#
#
# V. 1.4 : FIX di compatibilita' con il sito
#
#
# V. 1.2 : FIX di compatibilita' con il sito
#
# Oroscopo 1.1 TCL for BuDuSbOt (20/05/2007)
# by UDA'Software (BuDuS) at #buduscript on AzzurraNet (irc.azzurra.org)
# E-mail: budus@hotmail.it
#
# Questa e' una versione modificata del TCL per eggdrop al fine di
# farla funzionare con BuDuSbOt.
#
###########################################################

### PROCS ###
package require http
http::config -useragent "Mozilla/1.0"

proc oroscopo:request { nick chan arg } {
    if { $arg == "" || $arg == "help" } {
	puts "/NOTICE $nick :\037OROSCOPO\037 \002::\002 \037HELP\037 Mostra l'oroscopo per un dato segno zodiacale\
		 \037Utilizzo:\037 !oroscopo segno"
	return
    }
    regsub -all -- " " $arg "%20" args
    set url "http://www.oroscopi.com/oroscopo/oroscopo_giorno.php?segno=$args"
    set http [ http::geturl $url ]
    set html [ http::data $http ]
    set flag 0
    foreach line [ split $html "\n" ] {
	#puts "$line"
	if { $flag == 0 } {
	    if { [ regexp -nocase -- {<h1>(.+)<(span|SPAN)} $line all segno ] } {}
	    if { [ regexp -nocase -- {<p>(.+)</p>} $line all testo ] } {
		puts "/SAY $chan :\037OROSCOPO\037 \002::\002 \037[ string toupper $segno ]\037 $testo"
		set flag 1
	    }
	}
    }
    if { $flag == 0 } {
	puts "/SAY $chan :\037OROSCOPO\037 \002::\002 Segno zodiacale ($args) non trovato"
    }
}
### END PROCS ###

set nickname [lindex $argv 0]
set channel [lindex $argv 1]
set arguments [lindex $argv 2]

oroscopo:request $nickname $channel $arguments